import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

class DataTableWidget extends StatelessWidget {
  final List<DataColumn> column;
  final List<DataRow> row;
  const DataTableWidget({super.key, required this.column, required this.row});

  @override
  Widget build(BuildContext context) {
    return DataTable(
      decoration: BoxDecoration(
        border: Border.all(color: const Color.fromRGBO(255, 255, 255, 0.474), width: 1.0),
        borderRadius: BorderRadius.circular(8),
        color: const Color.fromRGBO(236, 236, 236, 1),
      ),
      headingTextStyle: GoogleFonts.inter(
          textStyle: const TextStyle(fontSize: 12, fontWeight: FontWeight.w600, color: Color.fromRGBO(0, 0, 0, 1))),
      dataTextStyle: GoogleFonts.inter(textStyle: const TextStyle(fontSize: 12, color: Color.fromRGBO(0, 0, 0, 1))),
      columns: column,
      rows: row,
    );
  }
}
